package com.iformall.service.toutiao.api.bean;

import com.iformall.service.toutiao.miniapp.bean.TtMaGsonBuilder;
import lombok.*;

import java.io.Serializable;

/**
 * @author S
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TtOpenTicket implements Serializable {

  private static final long serialVersionUID = -44544979421396117L;

  private String accessToken;

  private String ticket;

  private String fromUserName;

  //2019-01-14 12:45:10
  private String createTime;

  private String msgType;

  private String event;

  private String componentAppId;


  public static TtOpenTicket fromJson(String json) {
    return TtMaGsonBuilder.create().fromJson(json, TtOpenTicket.class);
  }

}
