package com.iformall.service.toutiao.api.bean;

import com.google.gson.*;
import com.iformall.service.toutiao.miniapp.bean.TtMaSubscribeMessage;
import me.chanjar.weixin.common.util.json.GsonHelper;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * .
 *
 * @author S
 */
public class TtOpenTicketGsonAdapter implements JsonDeserializer<TtOpenTicket> {

  @Override
  public TtOpenTicket deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
    return convertFromJson(json.getAsJsonObject());
  }

  protected TtOpenTicket convertFromJson(JsonObject json) {
    TtOpenTicket openTicket = new TtOpenTicket();
    openTicket.setTicket(GsonHelper.getString(json,"Ticket"));
    openTicket.setFromUserName(GsonHelper.getString(json,"FromUserName"));
    openTicket.setCreateTime(GsonHelper.getString(json,"CreateTime"));
    openTicket.setMsgType(GsonHelper.getString(json,"MsgType"));
    openTicket.setEvent(GsonHelper.getString(json,"Event"));
    return openTicket;
  }

}
